 using Microsoft.Toolkit.Collections;
using PCUT.Models;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PCUT.ViewModels
{
    internal class CutFilesViewModel : NotificationBase
    {
        private ObservableCollection<string> _ports;
        public ObservableCollection<string> Ports
        {
            get { return _ports; }
            set
            {
                SetProperty(ref _ports, value);
            }
        }

        private double _width;
        public double Width
        {
            get { return _width; }
            set
            {
                SetProperty(ref _width, value);
            }
        }

        private double _height;
        public double Height
        {
            get { return _height; }
            set
            {
                SetProperty(ref _height, value);
            }
        }

        private string _selectedPortName;
        public string SelectedPortName
        {
            get { return _selectedPortName; }
            set
            {
                if (_selectedPortName != value)
                {
                    SetProperty(ref _selectedPortName, value);
                }
            }
        }


        public CutFilesViewModel()
        {
        
        }
    }
}
